/*

   mTCP Pkttool.cfg
   Copyright (C) 2012-2024 Michael B. Brutman (mbbrutman@gmail.com)
   mTCP web page: http://www.brutman.com/mTCP


   This file is part of mTCP.

   mTCP is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   mTCP is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with mTCP.  If not, see <http://www.gnu.org/licenses/>.


   Description: Configuration file for Pkttool

*/

#ifndef CONFIG_H
#define CONFIG_H


// Generic configuration instructions
//
// Each mTCP application requires a configuration file like this to set
// compile-time options for the TCP/IP library.  A #define is used to
// determine whether each major feature is available or not.  Other #defines
// are used to determine sub-features within the features.
//
// Notes:
//  - This file should stand alone; it should not require other header files
//  - All times are in milliseconds
//  - Obey any maximums in the comments; there is some static compile
//    time checking but it might not cover all cases




// Global options that affect all of the applications within a build/release.
// These include things like including tracing support, including DOS sleep
// calls, or turning on error injection for testing purposes.
//
// These can be overridden locally but you should not need to.

#include "Global.Cfg"

// Local Tracing override
//
// Tracing is on be default; if it was turned off globally you can fix that here.
// (Uncomment just one.)
//
// #undef NOTRACE
// #define NOTRACE


#define MTCP_PROGRAM_NAME "pkttool"

#undef SLEEP_CALLS



// Local TCP/IP library options.
//
// This is the list of major features to include or exclude.

// #define IP_FRAGMENTS_ON
// #define COMPILE_UDP
// #define COMPILE_TCP
// #define COMPILE_DNS
// #define COMPILE_ICMP


// Overrides

#undef PACKET_BUFFERS
#define PACKET_BUFFERS            (40)   // Number of incoming buffers



// Local options

#define IPADDR_TABLE_MAX_ENTRIES      (128)
#define ETHERNET_STATS_MAX_ETHERTYPES  (20)

#endif
